XML Schema API: Interface XSValue

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSValue

public interface XSValue

Represents an actual value of a simple type.

Method Summary
`java.lang.Object` | `getActualValue()` The actual value.
`short` | `getActualValueType()` The actual value built-in datatype, e.g.
`ShortList` | `getListValueTypes()` In the case the actual value represents a list, i.e.
`XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If the declared simple type definition is a union, return the member type actually used to validate the value.
`XSObjectList` | `getMemberTypeDefinitions()` If `getTypeDefinition()` returns a list type whose item type is a union type, then this method returns a list with the same length as the value list, for simple types that actually validated the corresponding item in the value.
`java.lang.String` | `getNormalizedValue()` The schema normalized value.
`XSSimpleTypeDefinition` | `getTypeDefinition()` The declared simple type definition used to validate this value.

Method Detail

### getNormalizedValue

    public java.lang.String getNormalizedValue()

  The schema normalized value.

### getActualValue

    public java.lang.Object getActualValue()

  The actual value. `null` if the value is in error.

### getTypeDefinition

    public XSSimpleTypeDefinition getTypeDefinition()

  The declared simple type definition used to validate this value. It can be a union type.

### getMemberTypeDefinition

    public XSSimpleTypeDefinition getMemberTypeDefinition()

  If the declared simple type definition is a union, return the member type actually used to validate the value. Otherwise null.

### getMemberTypeDefinitions

    public XSObjectList getMemberTypeDefinitions()

  If `getTypeDefinition()` returns a list type whose item type is a union type, then this method returns a list with the same length as the value list, for simple types that actually validated the corresponding item in the value.

### getActualValueType

    public short getActualValueType()

  The actual value built-in datatype, e.g. `STRING_DT, SHORT_DT`. If the type definition of this value is a list type definition, this method returns `LIST_DT`. If the type definition of this value is a list type definition whose item type is a union type definition, this method returns `LISTOFUNION_DT`. To query the actual value of the list or list of union type definitions use `itemValueTypes()`.

### getListValueTypes

    public ShortList getListValueTypes()

  In the case the actual value represents a list, i.e. the `actualNormalizedValueType` is `LIST_DT`, the returned array consists of one type kind which represents the itemType . For example:

       <simpleType name="listtype"> <list
       itemType="positiveInteger"/> </simpleType> <element
       name="list" type="listtype"/> ... <list>1 2 3</list>

  The `schemaNormalizedValue` value is "1 2 3", the `actualNormalizedValueType` value is `LIST_DT`, and the `itemValueTypes` is an array of size 1 with the value `POSITIVEINTEGER_DT`.
  If the actual value represents a list type definition whose item type is a union type definition, i.e. `LISTOFUNION_DT`, for each actual value in the list the array contains the corresponding memberType kind. For example:

       <simpleType
       name='union_type' memberTypes="integer string"/> <simpleType
       name='listOfUnion'> <list itemType='union_type'/>
       </simpleType> <element name="list" type="listOfUnion"/>
       ... <list>1 2 foo</list>

  The `schemaNormalizedValue` value is "1 2 foo", the `actualNormalizedValueType` is `LISTOFUNION_DT` , and the `itemValueTypes` is an array of size 3 with the following values: `INTEGER_DT, INTEGER_DT, STRING_DT`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.